#pragma once
#include "SourceFits.h"

class Science : public SourceFits
{
	//Atributos
private:
	//double* cleandata;
	double* data;
	//Metodos
private:
	void FitsReadFile();
public:
	Science();
	Science(string name);
	~Science();
	void Init();
	void CleanData(long* BiasMaster, long* DarksMaster, double* FlatsMaster);
	double* Data();
	void free_data();
	//Metodo para establecer manualmente Los Ejes
	void setAxes(long xs, long ys, long frames);
	//Metodo de cambio de archivo
	void ChangeFile(string newfile);
	//Metodo para apartar cierta cantidad de memoria
	void setMemory(unsigned int pixels);
	//MISC
	void Print(int limx, int limy, int limframe);
};
	
	

